# -*- text -*-

mschap {
	use_mppe = {{config.mods.mschap.use_mppe|safe}}
	require_encryption = {{config.mods.mschap.require_encryption|safe}}
	require_strong = {{config.mods.mschap.require_strong|safe}}
	{% if config.method.adauth %}# enable ActiveDirectory
	ntlm_auth = "/usr/bin/ntlm_auth --request-nt-key --username=%{mschap:User-Name} --challenge=%{%{mschap:Challenge}:-00} --nt-response=%{%{mschap:NT-Response}:-00}"
	{% else %}# disable ActiveDirectory
	{% endif %}
	ntlm_auth_timeout = {{config.mods.mschap.ntlm_auth_timeout|safe}}
#	winbind_username = "%{mschap:User-Name}"
#	winbind_domain = "%{mschap:NT-Domain}"
	winbind_retry_with_normalised_username = {{config.mods.mschap.winbind_retry_with_normalised_username|safe}}
	pool {
		start = ${thread[pool].start_servers}
		min = ${thread[pool].min_spare_servers}
		max = ${thread[pool].max_servers}
		spare = ${thread[pool].max_spare_servers}
		uses = {{config.mods.mschap.pool.uses|safe}}
		retry_delay = {{config.mods.mschap.pool.retry_delay|safe}}
		lifetime = {{config.mods.mschap.pool.lifetime|safe}}
		cleanup_interval = {{config.mods.mschap.pool.cleanup_interval|safe}}
		idle_timeout = {{config.mods.mschap.pool.idle_timeout|safe}}
	}

	use_open_directory = {{config.mods.mschap.use_open_directory|safe}}
	allow_retry = {{config.mods.mschap.allow_retry|safe}}
	retry_msg = {{config.mods.mschap.retry_msg|safe}}
}
